// file: $isip/class/search/Instance/inst_00.cc
// version: $Id: inst_00.cc 9029 2003-02-15 17:08:33Z alphonso $
//

// isip include files
//
#include "Instance.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor for the Instance class
//
Instance::~Instance() {

  if (debug_level_d >= Integral::ALL) {     
    fprintf(stdout, "Destructor of instance: %p\n", this);
    fflush(stdout);
  }
  clear();
}

// constants: required constants such as class name
//
const String Instance::CLASS_NAME(L"Instance");

// static instantiations: memory manager, debug level and verbosity
//
MemoryManager Instance::mgr_d(sizeof(Instance), CLASS_NAME);
Ulong Instance::nsymbol_length_d = DEF_NSYMBOL_LENGTH;
Integral::DEBUG Instance::debug_level_d = Integral::NONE;

//
// end of file
